%{?nodejs_find_provides_and_requires}

%global packagename load-perf

# Tests disabled until we can bootstrap eslint, as eslint depends upon
# this package, but this package needs eslint (by way of shelljs-nodecli)
# in order to run its tests
%global enable_tests 0

Name:		nodejs-load-perf
Version:	0.2.0
Release:	1%{?dist}
Summary:	Check load performance of your module and its dependencies

License:	MIT
URL:		https://github.com/gyandeeps/load-perf
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Makefile
Source11:	https://raw.githubusercontent.com/gyandeeps/load-perf/v%{version}/Makefile.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(object-assign)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Check load performance of your module and its dependencies


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# makefile
cp -p %{SOURCE11} .

%nodejs_fixdep optionator

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs Makefile.js test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-1
- Initial packaging
